List Product Catalog

Retrieves a list of all Products for a specific connection. Supports cursor based pagination. *Note:* Currently, keys generated via the TaxCloud web app do not include the necessary scopes to interact with the Management API. To request access, [contact our support team](https://support.taxcloud.com/article/148-taxclouds-service-level-agreement).

Authentication

AuthorizationBearer
This authentication type can be used to directly call the service.
OR
X-API-KEYstring
This authentication type is supported by using the provided API key for the merchant account.

Path parameters

connectionIdstringRequired
represents the ID of a connection. It is used as a unique identifier for the connection

Query parameters

limitlongOptionalDefaults to 20
Maximum results per page
cursorstringOptional
The position from where the page should start. This can be found in the result of a previous api call and should be used on subsequent api calls to get the next group of records
ascendingbooleanOptionalDefaults to false
Whether you want the results to be ascending.
sortByenumOptionalDefaults to id
The field you want to sort by.
Allowed values:

Response

OK
itemslist of objects
limitlong
Maximum results per page
nextCursorstring or null
$schemastring or nullRead-onlyformat: "uri"
A URL to the JSON Schema for this object.

Errors